Summary:	The core LV2 specification
Name:		lv2
Version:		1.12.0
Release:	%mkrel 1
Group:		System/Libraries
License:		LGPL
URL:		http://lv2plug.in/
Source0:	http://lv2plug.in/spec/%{name}-%{version}.tar.xz
#-------------------------------------
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-rdflib
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	%{_lib}sndfile-devel
#-------------------------------------
Provides:	lv2core = 4.0-2
Obsoletes:	lv2core < 4.0-2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LV2 is a standard for plugins and matching host applications, primarily
targeted at audio processing and generation.

LV2 is a successor to LADSPA, created to address the limitations of LADSPA
which many applications have outgrown.  Compared to LADSPA, all plugin data
is moved from the code to a separate data file, and the code has been made as
generic as possible.  As a result, LV2 can be independently extended
(retaining compatibility wherever possible), and virtually any feasible
plugin features can be implemented in an LV2 plugin.

The major version of this package refers to the LV2 specification revision
contained, while the minor version refers only to this package.

%package	devel
Summary:	Development files for the core LV2 specification
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	lv2core-devel = 4.0-2
Obsoletes:	lv2core-devel < 4.0-2


%description	devel
This package contains development files for the core LV2 specification.

%prep

%setup -q -n %{name}-%{version}

%build
./waf configure -vv --prefix=%{_prefix} --libdir=%{_libdir} --lv2dir=%{_libdir}/lv2 --debug --docs
./waf -vv %{?_smp_mflags}


%install
rm -rf %{buildroot}

DESTDIR=%buildroot ./waf -vv install

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc COPYING README.md
%exclude %{_libdir}/%{name}/*/*.[ch]
%{_libdir}/%{name}/
%{_bindir}/lv2specgen.py
%{_datadir}/lv2specgen/*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_includedir}/%{name}/
%{_libdir}/%{name}/*/*.[hc]
%{_libdir}/pkgconfig/lv2core.pc
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Jun 17 2015 gseaman <galen.seaman at comcast.net> 1.12.0-1gseaman2015
- 1.12.0

* Sun May 25 2014 bb <bb> 1.8.0-1pclos2014
- update

* Tue Oct 29 2013 bb <billybot> 1.6.0-1pclos2013
- update
- obsolete old name
- add BR 

